@import "breakpoints";

.horizontal-centered-block {
  position: relative;
  margin: 0 auto;
  min-width: 260px;
  width: 100%;
  max-width: 1000px;

  .theme-header {
    position: relative;
    font-size: 18px;
    font-weight: 600;
    padding: 0;

    .header-title {
      display: inline-block;
      vertical-align: top;
      padding: 15px 15px 15px 10px;
    }

    .input-wrapper {
      position: relative;
      display: inline-block;
      border-radius: 5px;
      padding: 0 10px 0;

      .filter-input-item {
        display: inline-block;
        width: 300px;
        border-radius: 5px;
      }

      .clear-icon-wrapper {
        position: absolute;
        right: 10px;
        top: 7px;
        z-index: 100;
        cursor: pointer;
        color: var(--fg-disabled);

        .clear-icon {
          padding: 10px;
          font-size: 24px;
        }

        &:hover {
          color: var(--fg-hover);
        }
      }
    }

    .refresh-btn {
      position: absolute;
      right: 5px;
      top: 0;
      color: var(--fg-disabled);
      cursor: pointer;
      font-size: 22px;

      &:hover {
        color: var(--fg-hover);
      }
    }

    .load-indicator {
      position: absolute;
      right: 0;
      top: -5px;
    }
  }

  .theme-content {
    padding: 0;
    overflow-x: auto;

    .table-wrapper {
      .datatable {
        width: 100%;
        min-width: 800px;
        background-color: var(--ion-foreground-color);

        .table-cell {
          height: 100%;
          padding-right: 10px;

          &.actions-cell {
            white-space: nowrap;
          }

          .action-icon {
            display: inline-block;
            font-size: 20px;
            color: var(--fg-disabled);
            cursor: pointer;
            padding-top: 8px;
            padding-right: 2px;
            vertical-align: top;

            &.details-icon {
              color: var(--fg-main);
            }

            &.edit-icon {
              color: var(--ion-color-warning-shade);
            }

            &:hover {
              color: var(--fg-hover);
            }
          }

          .close-icon {
            padding-top: 6px;
            font-size: 24px;
          }
        }

        .no-data-row {
          .mat-cell {
            padding: 15px;
            color: var(--fg-disabled);
          }
        }
      }
    }
  }

  .pagination-wrapper {
    .pagination {
      background-color: var(--ion-foreground-color);
    }
  }
}

@media (max-width: map-get($grid-breakpoints, "xxxl")) {
}
@media (max-width: map-get($grid-breakpoints, "xl")) {
}
@media (max-width: map-get($grid-breakpoints, "lg")) {
}
@media (max-width: map-get($grid-breakpoints, "md")) {
}
@media (max-width: map-get($grid-breakpoints, "sm")) {
}
@media (max-width: map-get($grid-breakpoints, "is")) {
}
@media (max-width: map-get($grid-breakpoints, "xs")) {
}
